
import OimoRigidBody from "../Oimo/OimoRigibody";
import OimoBodyData from "../Oimo/OimoBodyData";
import { DealPackaging } from "../GameLogic/DealPackaging";

export default class StandBehaviour extends OimoRigidBody {

    public constructor() {
        super();
    }
    public init(data: OimoBodyData) {
        if(!data)data=new OimoBodyData();
        //   this.sprite = this.owner as Laya.MeshSprite3D;
        data.name=1000000000;
        data.move = false;
        //  data.type = DealPackaging.DealLayer(this.sprite.layer);
        super.init(data);
    }

    public onAwake(): void {


    }

    public onUpdate() {

    }
    public onStart(): void {
    }


    public onDisable(): void {
        if (this.body && this.body.parent) {
            this.body.dispose();
            this.body.id = -1;
            this.body.name = -1;
        }
        this.body = null;
    }
}